Loading...
Searching...
No Matches
juce::ThreadPoolOptions Struct Reference

## Detailed Description

A set of threads that will run a list of jobs.

When a ThreadPoolJob object is added to the ThreadPool's list, its runJob() method will be called by the next pooled thread that becomes free.

See also
  ThreadPoolJob, Thread

The documentation for this struct was generated from the following file:

- juce_core/threads/juce_ThreadPool.h

## Public Member Functions

ThreadPoolOptions | withThreadName (String newThreadName) const
| The name to give each thread in the pool.
ThreadPoolOptions | withNumberOfThreads (int newNumberOfThreads) const
| The number of threads to run.
ThreadPoolOptions | withThreadStackSizeBytes (size_t newThreadStackSizeBytes) const
| The size of the stack of each thread in the pool.
ThreadPoolOptions | withDesiredThreadPriority (Thread::Priority newDesiredThreadPriority) const
| The desired priority of each thread in the pool.

## Public Attributes

String | threadName { "Pool" }
int | numberOfThreads { SystemStats::getNumCpus() }
size_t | threadStackSizeBytes { Thread::osDefaultStackSize }
Thread::Priority | desiredThreadPriority { Thread::Priority::normal }

## Member Functions

## withThreadName()

ThreadPoolOptions juce::ThreadPoolOptions::withThreadName | ( | String | newThreadName | ) | const

inline nodiscard

The name to give each thread in the pool.

References threadName, and juce::withMember().

## withNumberOfThreads()

ThreadPoolOptions juce::ThreadPoolOptions::withNumberOfThreads | ( | int | newNumberOfThreads | ) | const

inline nodiscard

The number of threads to run.

These will be started when a pool is created, and run until the pool is destroyed.

References numberOfThreads, and juce::withMember().

## withThreadStackSizeBytes()

ThreadPoolOptions juce::ThreadPoolOptions::withThreadStackSizeBytes | ( | size_t | newThreadStackSizeBytes | ) | const

inline nodiscard

The size of the stack of each thread in the pool.

References threadStackSizeBytes, and juce::withMember().

## withDesiredThreadPriority()

ThreadPoolOptions juce::ThreadPoolOptions::withDesiredThreadPriority | ( | Thread::Priority | newDesiredThreadPriority | ) | const

inline nodiscard

The desired priority of each thread in the pool.

References desiredThreadPriority, and juce::withMember().

## Member Data Documentation

## threadName

String juce::ThreadPoolOptions::threadName { "Pool" }

Referenced by withThreadName().

## numberOfThreads

int juce::ThreadPoolOptions::numberOfThreads { SystemStats::getNumCpus() }

Referenced by withNumberOfThreads().

## threadStackSizeBytes

size_t juce::ThreadPoolOptions::threadStackSizeBytes { Thread::osDefaultStackSize }

Referenced by withThreadStackSizeBytes().

## desiredThreadPriority

Thread::Priority juce::ThreadPoolOptions::desiredThreadPriority { Thread::Priority::normal }

Referenced by withDesiredThreadPriority().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited